### Hierarchy

- StatePropsOfLayout
  - MaterialCategorizationLayoutRendererProps

## Index

### Properties

- config
- data
- direction
- enabled
- ownState
- path
- renderers
- schema
- selected
- uischema
- visible

### Methods

- onChange

## Properties

### Optional config

config: any

Inherited from StatePropsOfRenderer.config

Any configuration options for the element.

### Optional data

data: any

Overrides StatePropsOfRenderer.data

- Defined in packages/material/src/layouts/MaterialCategorizationLayout.tsx:60

### direction

direction: "row" | "column"

Inherited from StatePropsOfLayout.direction

Direction for the layout to flow

### enabled

enabled: boolean

Inherited from StatePropsOfRenderer.enabled

Whether the rendered element should be enabled.

### Optional ownState

ownState: boolean

- Defined in packages/material/src/layouts/MaterialCategorizationLayout.tsx:59

### path

path: string

Inherited from StatePropsOfRenderer.path

Instance path the data is written to, in case of a control.

### Optional renderers

renderers: any[]

Inherited from StatePropsOfLayout.renderers

All available renderers.

### schema

schema: JsonSchema

Inherited from StatePropsOfRenderer.schema

The JSON schema that describes the data.

### Optional selected

selected: number

- Defined in packages/material/src/layouts/MaterialCategorizationLayout.tsx:58

### uischema

uischema: UISchemaElement

Inherited from StatePropsOfRenderer.uischema

The UI schema to be rendered.

### visible

visible: boolean

Inherited from StatePropsOfRenderer.visible

Whether the rendered element should be visible.

## Methods

### Optional onChange

- onChange(selected: number, prevSelected: number): void

- - Defined in packages/material/src/layouts/MaterialCategorizationLayout.tsx:61

  #### Parameters

  - ##### selected: number

  - ##### prevSelected: number

  #### Returns void

Generated using TypeDoc